public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-devel/gettext/
Date: Mon, 28 Dec 2015 22:20:00 +0000 (UTC)	[thread overview]
Message-ID: <1451340916.f7d75522af2a5a4a8bdcb5dcbbe95a8edee0baf8.polynomial-c@gentoo> (raw)

commit:     f7d75522af2a5a4a8bdcb5dcbbe95a8edee0baf8
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 28 22:15:16 2015 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Dec 28 22:15:16 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f7d75522

sys-devel/gettext: Bump to version 0.19.7

Package-Manager: portage-2.2.26
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 sys-devel/gettext/Manifest              |   1 +
 sys-devel/gettext/gettext-0.19.7.ebuild | 133 ++++++++++++++++++++++++++++++++
 2 files changed, 134 insertions(+)

diff --git a/sys-devel/gettext/Manifest b/sys-devel/gettext/Manifest
index b343363..c670405 100644
--- a/sys-devel/gettext/Manifest
+++ b/sys-devel/gettext/Manifest
@@ -2,3 +2,4 @@ DIST gettext-0.19.4.tar.gz 17717034 SHA256 8ac9f1ed1a5f8c4e656a2f37f5ba6b9ee04c4
 DIST gettext-0.19.5.1.tar.gz 18353792 SHA256 a198d53b0c1fb11421ead197b7e76b144e887c9ef5a685323e92cbc950227731 SHA512 c2c1dc51d9c24c92b86619ec613b87266eae08a21280855e5b0d44c09e7efc8390341ded85dd85270c5a933ee21a6179373cc5cf275b6bc80cb510c7830d0ef4 WHIRLPOOL 2a2143edc4f3fdb37109aeb762072aa49f88045d55913ae282d203d5a7b3e848df5318c9e4f5e44f63a9f9a7c61c6018900df55b3bdfe06fa975a709322656d6
 DIST gettext-0.19.5.tar.gz 18352722 SHA256 1258814ba174e4783194be2dc93648bd630d4dda166eae034e4ad54489dcf73a SHA512 10b435bba4fcdcf15be3182b3c9756eef5b6ef6ec1416c1b12af35345fc1668c26dce81081e2616b7e2b0d174051fddd6fe6266e4709652a751a91fcf241e610 WHIRLPOOL 94db59cc7a1f3bf833e23a9c9aa25524c571b9585928d083438e7357d034236493584c0137f0c2bb58120f2e55f35055bc36731736162d9ad3e01aa6a1cf270e
 DIST gettext-0.19.6.tar.gz 18619659 SHA256 ed4b4c19bd3a3034eb6769500a3592ff616759ef43cf30586dbb7a17c9dd695d SHA512 46adfd4a6d0038aba999658bebe51117e3ab3dc149a9054c1087d3e79ec7ba3371a7e78a8ca30a8872d162c2dc44aba6e67e4d64808c4f92e1e2bd674174f1db WHIRLPOOL 1988f9ddfd603734b4a632291925c8e5b31e7384eea1c6641d52aa58cb6b8f892e7664dd145a53435b7d2a4540ac65aeae1cb528a004c35832087c2820dafbcb
+DIST gettext-0.19.7.tar.gz 19235781 SHA256 5386d2a40500295783c6a52121adcf42a25519e2d23675950619c9e69558c23f SHA512 7ba89074d3eddd0b4a5e2980e1ec74b53c49b7a04a1fa91c70c4bc11ce9c30415e4df9d79698148eaaed325fb4feb25a340a2e8e01fbe86b1a66b1376a4c9e3d WHIRLPOOL eb51c4be7c0a92c5c33c16329003e21947e0b9d1583c4a785ae6836f81273ea7ec2823a0a28ae81c3b977f2148c0f3bd524949484383ff87510e1d2bc642a786

diff --git a/sys-devel/gettext/gettext-0.19.7.ebuild b/sys-devel/gettext/gettext-0.19.7.ebuild
new file mode 100644
index 0000000..7677f88
--- /dev/null
+++ b/sys-devel/gettext/gettext-0.19.7.ebuild
@@ -0,0 +1,133 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+# Note: Keep version bumps in sync with dev-libs/libintl.
+
+EAPI="5"
+
+inherit eutils mono-env libtool java-pkg-opt-2 multilib-minimal
+
+DESCRIPTION="GNU locale utilities"
+HOMEPAGE="https://www.gnu.org/software/gettext/"
+SRC_URI="mirror://gnu/${PN}/${P}.tar.gz"
+
+# Only libasprintf is under the LGPL (and libintl is in a sep package),
+# so put that license behind USE=cxx.
+LICENSE="GPL-3+ cxx? ( LGPL-2.1+ )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
+IUSE="acl -cvs +cxx doc emacs git java ncurses nls openmp static-libs"
+
+# only runtime goes multilib
+# Note: expat lacks a subslot because it is dynamically loaded at runtime.  We
+# would depend on older subslots if they were available (based on the ABIs that
+# are explicitly handled), but expat doesn't currently use subslots.
+DEPEND=">=virtual/libiconv-0-r1[${MULTILIB_USEDEP}]
+	>=virtual/libintl-0-r2[${MULTILIB_USEDEP}]
+	dev-libs/libxml2:=
+	dev-libs/expat
+	acl? ( virtual/acl )
+	ncurses? ( sys-libs/ncurses:0= )
+	java? ( >=virtual/jdk-1.4 )"
+RDEPEND="${DEPEND}
+	!git? ( cvs? ( dev-vcs/cvs ) )
+	git? ( dev-vcs/git )
+	java? ( >=virtual/jre-1.4 )"
+PDEPEND="emacs? ( app-emacs/po-mode )"
+
+MULTILIB_WRAPPED_HEADERS=(
+	# only installed for native ABI
+	/usr/include/gettext-po.h
+)
+
+pkg_setup() {
+	mono-env_pkg_setup
+	java-pkg-opt-2_pkg_setup
+}
+
+src_prepare() {
+	java-pkg-opt-2_src_prepare
+
+	epunt_cxx
+	elibtoolize
+}
+
+multilib_src_configure() {
+	local myconf=(
+		# switches common to runtime and top-level
+		--cache-file="${BUILD_DIR}"/config.cache
+		--docdir="/usr/share/doc/${PF}"
+
+		# Emacs support is now in a separate package
+		--without-emacs
+		--without-lispdir
+		# glib depends on us so avoid circular deps
+		--with-included-glib
+		# libcroco depends on glib which ... ^^^
+		--with-included-libcroco
+		# this will _disable_ libunistring (since it is not bundled),
+		# see bug #326477
+		--with-included-libunistring
+		# Never build libintl since it's in dev-libs/libintl now.
+		--without-included-gettext
+
+		$(use_enable acl)
+		$(use_enable cxx c++)
+		$(use_enable cxx libasprintf)
+		$(use_with git)
+		$(usex git --without-cvs $(use_with cvs))
+		$(use_enable java)
+		$(use_enable ncurses curses)
+		$(use_enable nls)
+		$(use_enable openmp)
+		$(use_enable static-libs static)
+	)
+
+	local ECONF_SOURCE=${S}
+	if ! multilib_is_native_abi ; then
+		# for non-native ABIs, we build runtime only
+		ECONF_SOURCE+=/gettext-runtime
+	fi
+
+	econf "${myconf[@]}"
+}
+
+multilib_src_install() {
+	default
+
+	if multilib_is_native_abi ; then
+		dosym msgfmt /usr/bin/gmsgfmt #43435
+		dobin gettext-tools/misc/gettextize
+	fi
+}
+
+multilib_src_install_all() {
+	use nls || rm -r "${D}"/usr/share/locale
+	use static-libs || prune_libtool_files --all
+
+	rm -f "${D}"/usr/share/locale/locale.alias "${D}"/usr/lib/charset.alias
+
+	if use java ; then
+		java-pkg_dojar "${D}"/usr/share/${PN}/*.jar
+		rm -f "${D}"/usr/share/${PN}/*.jar
+		rm -f "${D}"/usr/share/${PN}/*.class
+		if use doc ; then
+			java-pkg_dojavadoc "${D}"/usr/share/doc/${PF}/javadoc2
+			rm -rf "${D}"/usr/share/doc/${PF}/javadoc2
+		fi
+	fi
+
+	if use doc ; then
+		dohtml "${D}"/usr/share/doc/${PF}/*.html
+	else
+		rm -rf "${D}"/usr/share/doc/${PF}/{csharpdoc,examples,javadoc2,javadoc1}
+	fi
+	rm -f "${D}"/usr/share/doc/${PF}/*.html
+
+	dodoc AUTHORS ChangeLog NEWS README THANKS
+}
+
+pkg_preinst() {
+	java-pkg-opt-2_pkg_preinst
+}


             reply	other threads:[~2015-12-28 22:20 UTC|newest]

Thread overview: 146+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-12-28 22:20 Lars Wendler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-09  6:59 [gentoo-commits] repo/gentoo:master commit in: sys-devel/gettext/ Arthur Zamarin
2024-10-09  0:06 Jakov Smolić
2024-10-05 13:58 Arthur Zamarin
2024-10-05 13:58 Arthur Zamarin
2024-10-05 13:58 Arthur Zamarin
2024-10-05 12:02 Arthur Zamarin
2024-07-28 13:45 Fabian Groffen
2024-02-22  6:58 Sam James
2023-12-28  4:04 Sam James
2023-12-17 19:12 Arthur Zamarin
2023-12-17 16:47 Arthur Zamarin
2023-12-15 10:10 Michał Górny
2023-12-15 10:10 Michał Górny
2023-12-15  9:13 Sam James
2023-12-15  8:29 Sam James
2023-12-15  8:11 Sam James
2023-12-15  7:36 Sam James
2023-11-20  8:24 Sam James
2023-10-06  3:14 Sam James
2023-09-21 13:15 Sam James
2023-09-19  9:06 Sam James
2023-06-25 11:21 Fabian Groffen
2023-06-19 22:06 Sam James
2023-02-26 22:23 Sam James
2023-02-19 19:21 David Seifert
2023-02-19 19:21 David Seifert
2023-02-19 17:55 David Seifert
2022-12-26  8:35 Sam James
2022-12-03 16:07 Arthur Zamarin
2022-11-25 14:26 Arthur Zamarin
2022-11-25  9:37 Arthur Zamarin
2022-11-25  5:33 Sam James
2022-11-25  5:33 Sam James
2022-11-25  5:17 Sam James
2022-11-25  5:15 Sam James
2022-11-25  5:15 Sam James
2022-11-18 10:59 Arthur Zamarin
2022-11-02  6:34 Agostino Sarubbo
2022-10-29  7:33 Agostino Sarubbo
2022-10-29  5:45 Arthur Zamarin
2022-10-29  5:45 Arthur Zamarin
2022-10-28 20:58 Sam James
2022-10-28 20:58 Sam James
2022-10-28 20:46 Sam James
2022-10-12 23:41 Sam James
2022-10-12  1:10 Mike Gilbert
2022-10-10 22:06 Sam James
2022-07-01 14:53 Mike Gilbert
2022-06-29 19:45 Mike Gilbert
2022-06-29 19:45 Mike Gilbert
2022-06-29 19:45 Mike Gilbert
2022-06-29 19:45 Mike Gilbert
2022-06-29 12:15 Mike Gilbert
2022-06-29  8:42 Sam James
2022-04-09  2:35 Sam James
2022-04-07  0:46 Sam James
2021-07-09 20:25 Mike Gilbert
2021-06-14  9:19 David Seifert
2021-06-02 14:33 Sergei Trofimovich
2021-06-02 10:39 Sam James
2021-06-02 10:39 Sam James
2021-06-01 15:29 Sam James
2021-06-01 10:39 Sam James
2021-06-01 10:12 Sam James
2021-06-01 10:10 Sam James
2021-06-01  6:57 Agostino Sarubbo
2021-05-31 21:59 Thomas Deutschmann
2021-01-06 15:32 Fabian Groffen
2020-12-27 18:18 Fabian Groffen
2020-12-07 20:27 Fabian Groffen
2020-09-19 20:06 Sergei Trofimovich
2020-08-31 21:52 Sam James
2020-08-31 21:52 Sam James
2020-08-31 21:52 Sam James
2020-08-31 21:52 Sam James
2020-08-31 21:35 Sam James
2020-08-31 21:24 Sam James
2020-08-31 21:00 Sam James
2020-08-31 20:44 Thomas Deutschmann
2020-07-27  7:39 Lars Wendler
2020-07-09  9:19 Agostino Sarubbo
2020-07-09  8:34 Agostino Sarubbo
2020-07-08 19:38 Michał Górny
2020-07-08 16:46 Sergei Trofimovich
2020-07-06 16:43 Sergei Trofimovich
2020-07-06 11:27 Mart Raudsepp
2020-07-06  7:22 Sergei Trofimovich
2020-07-06  7:02 Sergei Trofimovich
2020-05-04 17:36 Thomas Deutschmann
2020-04-14 15:19 Lars Wendler
2020-01-22 15:59 Mikle Kolyada
2020-01-22 15:59 Mikle Kolyada
2020-01-22 15:59 Mikle Kolyada
2020-01-22 15:51 Mikle Kolyada
2020-01-22 15:51 Mikle Kolyada
2020-01-20 22:11 Sergei Trofimovich
2020-01-18 23:15 Thomas Deutschmann
2020-01-18  9:54 Sergei Trofimovich
2020-01-17  8:09 Sergei Trofimovich
2020-01-17  8:07 Sergei Trofimovich
2020-01-16 15:43 Lars Wendler
2020-01-15 23:52 Sergei Trofimovich
2020-01-14 16:14 Agostino Sarubbo
2019-12-29  9:59 David Seifert
2019-12-28 15:19 Lars Wendler
2019-11-07 17:05 Lars Wendler
2019-11-07 17:05 Lars Wendler
2019-06-18 17:49 Mike Gilbert
2019-05-12 22:34 Lars Wendler
2019-05-10 10:01 Lars Wendler
2019-05-09 18:19 Lars Wendler
2019-05-09 13:06 Lars Wendler
2019-05-03 23:06 Mikle Kolyada
2018-01-10  4:50 Mike Frysinger
2017-06-17 22:07 Lars Wendler
2017-04-15  9:59 Jeroen Roovers
2017-04-14 17:03 Michał Górny
2017-04-04 19:28 Tobias Klausmann
2017-03-28 14:45 Michael Weber
2017-03-28 10:27 Michael Weber
2017-03-28  9:56 Agostino Sarubbo
2016-12-08 19:53 Mike Frysinger
2016-12-08 19:53 Mike Frysinger
2016-12-08  6:26 Mike Frysinger
2016-06-15 14:14 Mike Frysinger
2016-06-12  9:46 Lars Wendler
2016-06-12  9:46 Lars Wendler
2016-06-10  6:50 Lars Wendler
2016-06-02 18:21 Markus Meier
2016-05-27 12:46 Lars Wendler
2016-05-26 20:05 Lars Wendler
2016-05-26  3:11 Matt Turner
2016-05-25 12:25 Benda XU
2016-05-24 12:19 Jeroen Roovers
2015-10-13  0:20 Mike Frysinger
2015-10-13  0:20 Mike Frysinger
2015-10-13  0:20 Mike Frysinger
2015-10-13  0:20 Mike Frysinger
2015-10-13  0:20 Mike Frysinger
2015-10-13  0:20 Mike Frysinger
2015-10-13  0:20 Mike Frysinger
2015-10-13  0:20 Mike Frysinger
2015-10-13  0:20 Mike Frysinger
2015-10-13  0:20 Mike Frysinger
2015-09-11  9:38 Lars Wendler

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1451340916.f7d75522af2a5a4a8bdcb5dcbbe95a8edee0baf8.polynomial-c@gentoo \
    --to=polynomial-c@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox